#ifndef AUTORUNREGISTEROPERATION_H
#define AUTORUNREGISTEROPERATION_H

#include "qinstallerglobal.h"

namespace QInstaller {

class INSTALLER_EXPORT AutorunRegisterOperation : public Operation
{
public:
    AutorunRegisterOperation();

    void backup();
    bool performOperation();
    bool undoOperation();
    bool testOperation();
    Operation *clone() const;
};

}

#endif
